POV-Ray : Newsgroups : povray.tools.general : SharpConstruct with Windows & gtk+--installation problem : Re: SharpConstruct with Windows & gtk+--installation problem Server Time
29 May 2024 17:59:07 EDT (-0400)
  Re: SharpConstruct with Windows & gtk+--installation problem  
From: Kenneth
Date: 5 Apr 2010 14:05:01
Message: <web.4bba24edd7af166a65f302820@news.povray.org>
"DaremoK3" <nomail@nomail> wrote:

> If you are still following this message thread, and are still in need of the
> correct dependencies to make Sharp Construct work on MS Windows, I might be able
> to help you out.

> According to the directions you need to install "GTK" first, then "gtkmm", and
> then Sharp Construct.  Well, after 2 days of searching the net, and trying to
> get gtkmm to install (to no avail), I decided to try something on my own.  I
> uninstalled GTK from it's default location (C:\), and installed gtkmm first,
> then GTK, and then Sharp Construct, all to Program Files in C drive (in their
> own files/locations).  I now have a perfect working copy of Sharp Construct on
> my system.

> Anyways, I digest.  If you would like, I can email you the needed dependencies
> so you can have a working version as well.

Thank you, Ken! The dependencies you sent to me via e-mail worked like a charm,
and I now have SharpConstruct on my PC.

You mentioned that gtkmm should be installed first. What I found was that it
would not load as the first item--an error message came up saying, "GTK must be
installed first."  So I reversed the order of the two, and it still worked. I
think the real 'key' is putting everything into "Program Files in the C drive
(in their own files/locations)", as you mentioned, rather than just into C:\
(which is where the dependencies want to be installed by default.)

BTW, another very similar (and also free) app that everyone might want to try
out is Sculptris. It doesn't depend on GTK/gtkmm to work.

Thanks again!

Ken


Post a reply to this message

Copyright 2003-2023 Persistence of Vision Raytracer Pty. Ltd.